Available Installment Plans
Returns the available installment plans for the specific product/basket valueReturns monthly installment amount, interest and fees. Typically used on a product page.
Path
POST /api/v3/lookup/installment-plans Request Body
application/json
amount
required
number
Total order amount
currency
string
Enum:
- EUR
- NOK
- SEK
- DKK
- CHF
Currency
countryCode
string
Enum:
- NO
- SE
- FI
- DK
- DE
- AT
- CH
- NL
- BE
Country code
Responses
-
arrayAvailable installment plansbasketAmountnumberBasket amountnumberOfInstallmentsintegerNumber of installmentsinstallmentAmountnumberMonthly installment amountfirstInstallmentAmountnumberAmount of the first installment paymentlastInstallmentAmountnumberAmount of the last installment paymentinterestRatenumberInterest rateeffectiveInterestRatenumberEffective interest rateeffectiveAnnualPercentageRatenumberEffective annual percentage ratetotalInterestAmountnumberTotal interest amount onlystartupFeenumberFee for opening up an installment planmonthlyFeenumberMonthly fee for the installment amounttotalAmountnumberTotal amountinstallmentProfileNumberintegerInstallment profile numberreadMorestringMax length: 2048More information on installment process
-
typestringEnum:
- BusinessError
- TechnicalError
- NotificationMessage
codestringMax length: 100Confirmation or error codemessagestringMax length: 4096Message contentcustomerFacingMessagestringMax length: 4096Message to display to customeractionCodestringEnum:- Unavailable
- AskConsumerToConfirm
- AskConsumerToReEnterData
- OfferSecurePaymentMethods
- RequiresSsn
- AskConsumerToIdentify
- ManualReview
Action codesfieldReferencestringMax length: 100Reference to field that caused an error -
-
-
-
Request Example
{
"amount": 185,
"currency": "EUR",
"countryCode": "DE"
}
Response Example
{
"availableInstallmentPlans": [
{
"monthlyFee": 0,
"startupFee": 0,
"totalAmount": 185,
"basketAmount": 185,
"interestRate": 0,
"installmentAmount": 61.67,
"totalInterestAmount": 0,
"numberOfInstallments": 3,
"effectiveInterestRate": 0,
"lastInstallmentAmount": 61.66,
"firstInstallmentAmount": 61.67,
"installmentProfileNumber": 1,
"effectiveAnnualPercentageRate": 0
},
{
"monthlyFee": 0,
"startupFee": 0,
"totalAmount": 185,
"basketAmount": 185,
"interestRate": 0,
"installmentAmount": 30.84,
"totalInterestAmount": 0,
"numberOfInstallments": 6,
"effectiveInterestRate": 0,
"lastInstallmentAmount": 30.8,
"firstInstallmentAmount": 30.84,
"installmentProfileNumber": 2,
"effectiveAnnualPercentageRate": 0
},
{
"monthlyFee": 0,
"startupFee": 0,
"totalAmount": 185,
"basketAmount": 185,
"interestRate": 0,
"installmentAmount": 20.56,
"totalInterestAmount": 0,
"numberOfInstallments": 9,
"effectiveInterestRate": 0,
"lastInstallmentAmount": 20.52,
"firstInstallmentAmount": 20.56,
"installmentProfileNumber": 3,
"effectiveAnnualPercentageRate": 0
}
]
}